You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@camel.apache.org by ac...@apache.org on 2022/03/08 09:24:34 UTC

[camel-k] branch release-1.8.x updated (83a9fab -> d8a97d3)

This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a change to branch release-1.8.x
in repository https://gitbox.apache.org/repos/asf/camel-k.git.


    from 83a9fab  Regen
     new 7d4cfee  Post release steps: Operators manifests
     new d8a97d3  Post release steps: Operators manifests - Documentation

The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


Summary of changes:
 release.adoc                | 16 ++++++++++++-
 script/prepare-operators.sh | 58 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+), 1 deletion(-)
 create mode 100755 script/prepare-operators.sh

[camel-k] 02/02: Post release steps: Operators manifests - Documentation

Posted by ac...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a commit to branch release-1.8.x
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit d8a97d302c49186c68b27a7997971f45c7e131d3
Author: Andrea Cosentino <an...@gmail.com>
AuthorDate: Mon Mar 7 18:17:01 2022 +0100

    Post release steps: Operators manifests - Documentation
---
 release.adoc | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

diff --git a/release.adoc b/release.adoc
index c226a22..215def9 100644
--- a/release.adoc
+++ b/release.adoc
@@ -247,7 +247,21 @@ of Camel K, so that it can be easily installed on platforms that support Operato
 The https://github.com/redhat-openshift-ecosystem/community-operators-prod/[Embedded OperatorHub in OpenShift and OKD] downstream channel should be synced to publish the latest version
 of Camel K, so that it can be easily installed on Openshift and OKD.
 
-You can create the bundle using the `make bundle` command, then upload the CRD and CSV to the "community-operators" repository and "community-operators-prod" (2 PRs, one for OpenShift and one for all other platforms).
+You can create the bundle using the `make bundle` command.
+
+Once `make bundle` has been executed, you can run:
+
+```
+./script/prepare-operators.sh <version_just_released>
+```
+
+You'll get two different folders in the bundle folder
+- k8s-operators
+- openshift-ecosystem
+
+In both the directories you'll have a folder with the version number specified in the command line.
+
+The content of these folders is exactly what you need as base to create a PR for https://github.com/k8s-operatorhub/community-operators/[OperatorHub] and https://github.com/redhat-openshift-ecosystem/community-operators-prod/[Embedded OperatorHub in OpenShift and OKD].
 
 === Helm
 

[camel-k] 01/02: Post release steps: Operators manifests

Posted by ac...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a commit to branch release-1.8.x
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit 7d4cfeed124b194b89f44f798cb49b917ed52665
Author: Andrea Cosentino <an...@gmail.com>
AuthorDate: Mon Mar 7 18:12:43 2022 +0100

    Post release steps: Operators manifests
---
 script/prepare-operators.sh | 58 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

diff --git a/script/prepare-operators.sh b/script/prepare-operators.sh
new file mode 100755
index 0000000..0ba768f
--- /dev/null
+++ b/script/prepare-operators.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+if [ "$#" -lt 1 ]; then
+    echo "usage: $0 prepare-operators release-version"
+    exit 1
+fi
+
+location=$(dirname $0)
+version=$1
+
+cd bundle/
+
+mkdir -p k8s-operatorhub/$1/manifests/
+mkdir -p k8s-operatorhub/$1/metadata/
+mkdir -p k8s-operatorhub/$1/tests/scorecard/
+mkdir -p openshift-ecosystem/$1/
+
+cp ./manifests/camel.apache.org_builds.yaml k8s-operatorhub/$1/manifests/builds.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_camelcatalogs.yaml k8s-operatorhub/$1/manifests/camelcatalogs.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_integrationkits.yaml k8s-operatorhub/$1/manifests/integrationkits.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_integrationplatforms.yaml k8s-operatorhub/$1/manifests/integrationplatforms.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_integrations.yaml k8s-operatorhub/$1/manifests/integrations.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_kameletbindings.yaml k8s-operatorhub/$1/manifests/kameletbindings.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_kamelets.yaml k8s-operatorhub/$1/manifests/kamelets.camel.apache.org.crd.yaml
+cp ./manifests/camel-k.clusterserviceversion.yaml k8s-operatorhub/$1/manifests/camel-k.v$1.clusterserviceversion.yaml
+cp ./metadata/annotations.yaml k8s-operatorhub/$1/metadata/annotations.yaml
+cp ./tests/scorecard/config.yaml k8s-operatorhub/$1/tests/scorecard/config.yaml
+
+cp ./manifests/camel.apache.org_builds.yaml openshift-ecosystem/$1/builds.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_camelcatalogs.yaml openshift-ecosystem/$1/camelcatalogs.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_integrationkits.yaml openshift-ecosystem/$1/integrationkits.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_integrationplatforms.yaml openshift-ecosystem/$1/integrationplatforms.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_integrations.yaml openshift-ecosystem/$1/integrations.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_kameletbindings.yaml openshift-ecosystem/$1/kameletbindings.camel.apache.org.crd.yaml
+cp ./manifests/camel.apache.org_kamelets.yaml openshift-ecosystem/$1/kamelets.camel.apache.org.crd.yaml
+cp ./manifests/camel-k.clusterserviceversion.yaml openshift-ecosystem/$1/camel-k.v$1.clusterserviceversion.yaml
+
+# Starting sed to replace operator
+
+sed -i 's/camel-k.v/camel-k-operator.v/g' k8s-operatorhub/$1/manifests/camel-k.v$1.clusterserviceversion.yaml
+sed -i 's/camel-k.v/camel-k-operator.v/g' openshift-ecosystem/$1/camel-k.v$1.clusterserviceversion.yaml